%define pkg_name        IO-Socket-INET6
%define pkg_version     2.51
%define rpm_pkg_version 2.51
%define rpm_pkg_release 4.n0i.4

Summary:       Object interface for AF_INET|AF_INET6 domain sockets
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MO/MONDEJAR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Socket6) >= 0.12
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Socket6) >= 0.12}


%description
"IO::Socket::INET6" provides an object interface to creating and using sockets
in either AF_INET or AF_INET6 domains. It is built upon the IO::Socket
interface and inherits all the methods defined by IO::Socket.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.51-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 2.51-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.51-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2.51-1.n0i.1
- version 2.51
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
